Index: /extensions/GMaps/gmaps_ajax.php
===================================================================
--- /extensions/GMaps/gmaps_ajax.php	(revision 7452)
+++ /extensions/GMaps/gmaps_ajax.php	(revision 7453)
@@ -1084,4 +1084,5 @@
               );
 */
+
         $result=pwg_query($sql);
         if($result)
@@ -1274,5 +1275,5 @@
             $coords['lng']+=$point['longitude'];
 
-            $coords['imgTn'][]=substr($point['imageTnFile'],12);
+            $coords['imgTn'][]=$point['imageTnFile'];
             $coords['imgCatsNames'][]=$tmpCatsNames;
             $coords['imgName'][]=GPCCore::getUserLanguageDesc($point['imageName']);
@@ -1335,4 +1336,26 @@
     }
 
+    /**
+     * replace the root directroy for image
+     *  => './galleries/' becomes "G"
+     *  => './upload/' becomes "U"
+     *  => other case : no chnages
+     *
+     * @param String $value : path
+     * @returned String :
+     */
+    private function replaceImgRoot($value)
+    {
+      if(preg_match('/^\.\/galleries\//i', $value)>0)
+      {
+        return("G".substr($value,12));
+      }
+      elseif("U".preg_match('/^\.\/upload\//i', $value)>0)
+      {
+        return(substr($value,9));
+      }
+      return($value);
+    }
+
   } //class
 
Index: /extensions/GMaps/gmaps_version.inc.php
===================================================================
--- /extensions/GMaps/gmaps_version.inc.php	(revision 7452)
+++ /extensions/GMaps/gmaps_version.inc.php	(revision 7453)
@@ -15,6 +15,6 @@
   if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
 
-  define('GMAPS_VERSION',  '1.1.0');
-  define('GMAPS_VERSION2', '01.01.00');
+  define('GMAPS_VERSION',  '1.1.1');
+  define('GMAPS_VERSION2', '01.01.01');
   define('GMAPS_GPC_NEEDED', '3.3.2');
   define('GMAPS_AMD_NEEDED', '0.5.2'); //advanced metadata plugin is needed
Index: /extensions/GMaps/js/gmapsCategory.js
===================================================================
--- /extensions/GMaps/js/gmapsCategory.js	(revision 7452)
+++ /extensions/GMaps/js/gmapsCategory.js	(revision 7453)
@@ -2,6 +2,6 @@
  * -----------------------------------------------------------------------------
  * file: gmapsCategory.js
- * file version: 1.1.0
- * date: 2010-10-20
+ * file version: 1.1.1
+ * date: 2010-10-28
  */
 
@@ -197,4 +197,17 @@
       }
     );
+
+    for(var index=0;index<marker.info.imgTn.length;index++)
+    {
+      switch(marker.info.imgTn[index].charAt(0))
+      {
+        case 'G':
+          marker.info.imgTn[index]='./galleries/'.marker.info.imgTn[index].substr(1);
+          break;
+        case 'U':
+          marker.info.imgTn[index]='./upload/'.marker.info.imgTn[index].substr(1);
+          break;
+      }
+    }
   }
   currentMapLoad=null;
@@ -257,5 +270,5 @@
     $('#ciGMIWC_title').html(gmaps.currentInfo.imgName[index]);
   }
-  $('#ciGMIWC_img').attr('src', './galleries/'+gmaps.currentInfo.imgTn[index]);
+  $('#ciGMIWC_img').attr('src', gmaps.currentInfo.imgTn[index]);
 
   $('#ciGMIWC_img').unbind();
Index: /extensions/GMaps/js/gmapsCategory.packed.js
===================================================================
--- /extensions/GMaps/js/gmapsCategory.packed.js	(revision 7452)
+++ /extensions/GMaps/js/gmapsCategory.packed.js	(revision 7453)
@@ -1,2 +1,2 @@
-/* file: gmapsCategory.js - v1.1.0 | packed on 2010/10/20 with http://joliclic.free.fr/php/javascript-packer/ */
-eval(function(p,a,c,k,e,d){e=function(c){return(c<a?'':e(parseInt(c/a)))+((c=c%a)>35?String.fromCharCode(c+29):c.toString(36))};if(!''.replace(/^/,String)){while(c--){d[e(c)]=k[c]||e(c)}k=[function(e){return d[e]}];e=function(){return'\\w+'};c=1};while(c--){if(k[c]){p=p.replace(new RegExp('\\b'+e(c)+'\\b','g'),k[c])}}return p}('E R,12=[q,{w:32,h:32,x:15,y:31},{w:32,h:32,x:15,y:31},{w:32,h:32,x:10,y:31},{w:30,h:40,x:4,y:39},];9 2h(g,1D){E 6=l f.3.2I($("#"+g.o).1W(0),{3d:\'#2U\',2K:g.3b,34:g.1s,2O:2.t.1S(),1u:(g.1u==-1)?u:z,2R:(g.1u==-1)?u:z,2p:(g.2p==\'n\')?u:z,2n:(g.2n==\'n\')?u:z,1p:(g.1p==-1)?u:z,2P:{1H:g.1p},2Q:\'\',});8(g.2m!=\'\'){D=l f.3.2N(g.2m,{2L:z})}F{D=q}2s=/^2M(\\d\\d)36.*/i;B=2s.3a(g.Q);8(B!=q)B=l 2Y(B[1]);8(B!=q){6.Q=l f.3.33(\'14/1K/2E/\'+g.Q,l f.3.2Z(12[B].w,12[B].h),l f.3.2z(0,0),l f.3.2z(12[B].x,12[B].y))}F{6.Q=q}6.D=D;6.b=l 2S();6.1D=1D;g.j=6;g.1k=u}9 1j(6){2.T++;16={1B:2.1B,T:2.T,t:{2B:6.1d().1O().1J(),2a:6.1d().1O().1I(),2C:6.1d().1Q().1J(),2A:6.1d().1Q().1I()},Z:$(6.1R()).Z(),Y:$(6.1R()).Y(),2H:20,};R=6;$(\'#1E\').k(\'m\',\'M-1l\');$(\'#1q\').I(\'\');$.2g({2w:"2f",2b:"14/1K/2c.2d",2e:z,1i:{2k:"2l.3.2T",16:16},2t:9(13){W=$.3c(13);8(2.T==W.T){W.b.2V(2v);29(R,W.b);$(\'#1E\').k(\'m\',\'K\');$(\'#1q\').I(\'[\'+W.16.2X+\']\')}}})}9 29(6,b){8(R==q)C(u);8(6.b.J>0){E i=0;38(i<6.b.J){1L=1Y(6.b[i].G,b);8(1L==-1){6.b[i].p.1P(q);6.b.26(i,1)}F{b.26(1L,1);i++}}}1b(E i=0;i<b.J;i++){E p=l f.3.2W({35:l f.3.1M(b[i].1J,b[i].1I),6:R,O:b[i].1n});8(6.Q!=q)p.37(6.Q);p.1G=b[i];p.1G.s=0;6.b.2J({p:p,G:b[i].G});f.3.U.17(p,\'1T\',9(){1X(S)})}R=q}9 2v(1t,1v){8(1t.G<1v.G){C(-1)}F 8(1t.G<1v.G){C(1)}C(0)}9 1Y(1Z,1r){1b(E i=0;i<1r.J;i++){8(1r[i].G==1Z)C(i)}C(-1)}9 1X(p){2.5=p.1G;2.H.22();2.H.2G($(\'#2D\').3i().1U(1C).1W(0));2.H.1h(p.6,p);19(2.5.s)}9 1C(i,e){8(e.o!=\'\')e.o=\'c\'+e.o;$(e).3L().1U(1C)}9 19(r){2.5.s=r;8(2.5.21[r]==\'\'){$(\'#1V\').I(\'&3M;\')}F{$(\'#1V\').I(2.5.21[r])}$(\'#11\').1w(\'2y\',\'./3I/\'+2.5.3H[r]);$(\'#11\').2F();8(2.5.1c[r].J==1){$(\'#11\').1A(\'1T\',9(){1a.3D=2.5.1c[2.5.s][0]})}F{$(\'#27\').I(\'\');1b(E i=0;i<2.5.1c[r].J;i++){$(\'#27\').P(\'<28><a 1x="\'+2.5.1c[r][i]+\'">\'+2.5.3E[r][i]+\'</a></28>\')}$(\'#11, #1y\').1A(\'3F\',9(){$(\'#1y\').k(\'m\',\'1l\')}).1A(\'3G\',9(){$(\'#1y\').k(\'m\',\'K\')})}8(2.5.1z>1){$(\'#25\').I((r+1)+\'/\'+2.5.1n);$(\'#23, #24\').k(\'m\',\'M-1l\')}F{$(\'#25\').I(2.5.1n);$(\'#23, #24\').k(\'m\',\'K\')}}9 3N(){2.5.s--;8(2.5.s<0)2.5.s=2.5.1z-1;19(2.5.s)}9 3O(){2.5.s++;8(2.5.s>=2.5.1z)2.5.s=0;19(2.5.s)}9 V(t){2.3[2.7].j.3V(t);8(2.3[2.7].3W&&2.3[2.7].j.3X()>2.3[2.7].1s){2.3[2.7].j.3Y(2.3[2.7].1s)}}9 1F(1m){8(2.7>-1&&($(\'#\'+2.3[2.7].o+\'2r\').L(\'3U\')&&1m==\'2u\'||1m==\'1h\')&&(2.3[2.7].1k==u)){f.3.U.3T(2.3[2.7].j,\'3P\');8(2.3[2.7].V){V(2.t)}F{2.3[2.7].j.3e(2.t.1S())}$(\'#\'+2.3[2.7].o+\' v, #\'+2.3[2.7].o+\' a\').k(\'3R-3S\',\'3C.0%\');8(2.3[2.7].j.D!=q)2.3[2.7].j.D.1P(2.3[2.7].j);f.3.U.17(2.3[2.7].j,\'3B\',9(){1j(S);$(\'#1e\').k(\'m\',\'M\');$(\'#1f\').k(\'m\',\'M\')});f.3.U.17(2.3[2.7].j,\'3l\',9(){1j(S);2.H.22();$(\'#1e\').k(\'m\',\'M\');$(\'#1f\').k(\'m\',\'M\')});2.3[2.7].1k=z}8(2.7>-1)1j(2.3[2.7].j)}$(1a).3m(9(){2.5=q;2.7=-1;2.t=l f.3.3o(l f.3.1M(2.t.2C,2.t.2A),l f.3.1M(2.t.2B,2.t.2a));2.H=l f.3.3j();f.3.U.17(2.H,\'3f\',9(){$(\'3h\').P($(\'#2D\'));2.H.2G(\'\');$(\'#11\').2F()});1b(E i=0;i<2.3.J;i++){2h(2.3[i],i);8(2.3[i].3x==\'A\'){$(\'#\'+2.3[i].o).k({Z:($(1a).Z()*2.2i)+\'2j\',Y:($(1a).Y()*2.2i)+\'2j\'})}$.2g({2w:"2f",2b:"14/1K/2c.2d",2e:z,1i:{2k:"2l.3.3z",3A:2.3w},2t:9(13){2.1B=13;1F(\'2u\')}});$(\'#\'+2.3[i].o+\'2r\').L({3r:u,Z:\'2q\',Y:\'2q\',3s:z,3t:\'X\',3Z:\'1g\',O:2.3[i].O,1h:9(){2.7=$(S).1i(\'r\');1F(\'1h\')}}).1i(\'r\',i);$(\'N.1g N.18-L-1N\').P(\'<a 1x="#" o="1e" 1H="m:K;" 2o="V(2.t); $(S).k(\\\'m\\\', \\\'K\\\').2x(); C(u);">\'+\'<v>&3q;</v></a>\');$(\'#1e\').1w(\'O\',2.1o.3p);8(2.3[i].j.D!=q){$(\'N.1g N.18-L-1N\').P(\'<a 1x="#" o="1f" 2o="V(2.3[2.7].j.D.3Q()); $(S).k(\\\'m\\\', \\\'K\\\').2x(); C(u);">\'+\'<v>&3K;</v></a>\');$(\'#1f\').1w(\'O\',2.1o.3n)}$(\'N.1g N.18-L-1N\').P(\'<v o="1E" 1H="m:K;"><2E 2y="./14/3J/3k/3g.3u"><v>\'+2.1o.3v+\'</v></v>\');$(\'#18-L-O-3y\').P(\'<v o="1q"></v>\')}});',62,249,'||gmaps|maps||currentInfo|map|currentMapLoadIndex|if|function||markers||||google|properties|||gMap|css|new|display||id|marker|null|index|displayed|bounds|false|span||||true||iM|return|kmlFile|var|else|uId|infoWindow|html|length|none|dialog|inline|div|title|append|markerImg|currentMapLoad|this|callId|event|fitToBounds|tmp||height|width||ciGMIWC_img|markerImgProp|msg|plugins||datas|addListener|ui|displayPictureInfo|window|for|imgCatsUrl|getBounds|gmapsBoundMap|gmapsBoundKml|gmapsPopup|open|data|loadMarkers|viewportInitialized|block|mode|nbImgTxt|lang|mapTypeControl|gmapsNbPhotos|markerList|zoomLevel|m1|navigationControl|m2|attr|href|ciGMIWC_showcat|nbImg|bind|requestId|renameId|gmapsIndex|gmapsLoading|initializeMapViewport|info|style|lng|lat|GMaps|newListIndex|LatLng|titlebar|getNorthEast|setMap|getSouthWest|getDiv|getCenter|click|each|ciGMIWC_title|get|displayWindowInfo|markerInList|uniqueId||imgName|close|ciWALeft|ciWARight|ciGMIWC_picnum|splice|ciGMIWC_showcatList|li|applyMarkers|east|url|gmaps_ajax|php|async|POST|ajax|createMap|popupAutomaticSize|px|ajaxfct|public|kmlFileUrl|streetViewControl|onclick|scaleControl|auto|Content|re|success|loaded|compareMarkers|type|blur|src|Point|west|north|south|iGMapsInfoWindowContent|img|unbind|setContent|distanceTreshold|Map|push|mapTypeId|preserveViewport|mS|KmlLayer|center|mapTypeControlOptions|markerTitle|scrollwheel|Array|getMarkers|ffffff|sort|Marker|nbPhotos|Number|Size||||MarkerImage|zoom|position|_|setIcon|while||exec|mapType|parseJSON|backgroundColor|setCenter|closeclick|processing|body|clone|InfoWindow|icons|zoom_changed|load|boundkml|LatLngBounds|boundmap|there4|autoOpen|modal|closeText|gif|loading|categoryId|sizeMode|iGMapsIconContent|init|category|dragend|55|location|imgCatsNames|mouseenter|mouseleave|imgTn|galleries|GrumPluginClasses|sim|children|nbsp|displayPicturePrev|displayPictureNext|resize|getDefaultViewport|font|size|trigger|isOpen|fitBounds|zoomLevelMaxActivated|getZoom|setZoom|dialogClass|'.split('|'),0,{}))
+/* file: gmapsCategory.js - v1.1.1 | packed on 2010/10/28 with http://joliclic.free.fr/php/javascript-packer/ */
+eval(function(p,a,c,k,e,d){e=function(c){return(c<a?'':e(parseInt(c/a)))+((c=c%a)>35?String.fromCharCode(c+29):c.toString(36))};if(!''.replace(/^/,String)){while(c--){d[e(c)]=k[c]||e(c)}k=[function(e){return d[e]}];e=function(){return'\\w+'};c=1};while(c--){if(k[c]){p=p.replace(new RegExp('\\b'+e(c)+'\\b','g'),k[c])}}return p}('B P,16=[t,{w:32,h:32,x:15,y:31},{w:32,h:32,x:15,y:31},{w:32,h:32,x:10,y:31},{w:30,h:40,x:4,y:39},];9 2E(k,1A){B 6=p j.3.3j($("#"+k.q).1T(0),{3k:\'#3l\',3i:k.3h,3d:k.1z,3e:2.s.2M(),1u:(k.1u==-1)?u:z,3f:(k.1u==-1)?u:z,2d:(k.2d==\'n\')?u:z,2e:(k.2e==\'n\')?u:z,1w:(k.1w==-1)?u:z,3m:{1L:k.1w},3u:\'\',});8(k.2f!=\'\'){E=p j.3.3v(k.2f,{3t:z})}H{E=t}2c=/^3s(\\d\\d)3o.*/i;D=2c.3q(k.W);8(D!=t)D=p 3r(D[1]);8(D!=t){6.W=p j.3.3c(\'1i/1H/2h/\'+k.W,p j.3.3b(16[D].w,16[D].h),p j.3.2b(0,0),p j.3.2b(16[D].x,16[D].y))}H{6.W=t}6.E=E;6.g=p 2V();6.1A=1A;k.o=6;k.1E=u}9 1e(6){2.11++;1j={1O:2.1O,11:2.11,s:{2t:6.1g().28().1p(),2u:6.1g().28().1r(),2v:6.1g().29().1p(),2r:6.1g().29().1r()},Z:$(6.2a()).Z(),Y:$(6.2a()).Y(),2X:20,};P=6;$(\'#1J\').l(\'m\',\'R-1C\');$(\'#1N\').N(\'\');$.2G({2I:"2B",2A:"1i/1H/2L.2s",2w:z,1h:{2z:"2y.3.37",1j:1j},2l:9(1d){12=$.38(1d);8(2.11==12.11){12.g.36(2j);2n(P,12.g);$(\'#1J\').l(\'m\',\'L\');$(\'#1N\').N(\'[\'+12.1j.2Z+\']\')}}})}9 2n(6,g){8(P==t)I(u);8(6.g.F>0){B i=0;34(i<6.g.F){1q=2p(6.g[i].J,g);8(1q==-1){6.g[i].f.2K(t);6.g.2o(i,1)}H{g.2o(1q,1);i++}}}14(B i=0;i<g.F;i++){B f=p j.3.3Y({48:p j.3.1x(g[i].1p,g[i].1r),6:P,S:g[i].1y});8(6.W!=t)f.46(6.W);f.C=g[i];f.C.r=0;6.g.43({f:f,J:g[i].J});j.3.13.19(f,\'1V\',9(){1S(V)});14(B b=0;b<f.C.K.F;b++){3W(f.C.K[b].3X(0)){2m\'G\':f.C.K[b]=\'./3Z/\'.f.C.K[b].27(1);2i;2m\'U\':f.C.K[b]=\'./3V/\'.f.C.K[b].27(1);2i}}}P=t}9 2j(1v,1s){8(1v.J<1s.J){I(-1)}H 8(1v.J<1s.J){I(1)}I(0)}9 2p(2q,1o){14(B i=0;i<1o.F;i++){8(1o[i].J==2q)I(i)}I(-1)}9 1S(f){2.5=f.C;2.M.2x();2.M.2J($(\'#2H\').3A().1R(1B).1T(0));2.M.1l(f.6,f);1a(2.5.r)}9 1B(i,e){8(e.q!=\'\')e.q=\'c\'+e.q;$(e).3I().1R(1B)}9 1a(b){2.5.r=b;8(2.5.26[b]==\'\'){$(\'#1U\').N(\'&3Q;\')}H{$(\'#1U\').N(2.5.26[b])}$(\'#17\').1K(\'2g\',2.5.K[b]);$(\'#17\').2F();8(2.5.1f[b].F==1){$(\'#17\').1D(\'1V\',9(){1b.3L=2.5.1f[2.5.r][0]})}H{$(\'#24\').N(\'\');14(B i=0;i<2.5.1f[b].F;i++){$(\'#24\').T(\'<25><a 1M="\'+2.5.1f[b][i]+\'">\'+2.5.3N[b][i]+\'</a></25>\')}$(\'#17, #1t\').1D(\'3z\',9(){$(\'#1t\').l(\'m\',\'1C\')}).1D(\'3G\',9(){$(\'#1t\').l(\'m\',\'L\')})}8(2.5.1F>1){$(\'#22\').N((b+1)+\'/\'+2.5.1y);$(\'#1W, #1X\').l(\'m\',\'R-1C\')}H{$(\'#22\').N(2.5.1y);$(\'#1W, #1X\').l(\'m\',\'L\')}}9 2W(){2.5.r--;8(2.5.r<0)2.5.r=2.5.1F-1;1a(2.5.r)}9 2Q(){2.5.r++;8(2.5.r>=2.5.1F)2.5.r=0;1a(2.5.r)}9 18(s){2.3[2.7].o.3p(s);8(2.3[2.7].3w&&2.3[2.7].o.3g()>2.3[2.7].1z){2.3[2.7].o.3U(2.3[2.7].1z)}}9 1P(1G){8(2.7>-1&&($(\'#\'+2.3[2.7].q+\'1Y\').O(\'2S\')&&1G==\'1Z\'||1G==\'1l\')&&(2.3[2.7].1E==u)){j.3.13.2N(2.3[2.7].o,\'33\');8(2.3[2.7].18){18(2.s)}H{2.3[2.7].o.44(2.s.2M())}$(\'#\'+2.3[2.7].q+\' v, #\'+2.3[2.7].q+\' a\').l(\'3J-3M\',\'3K.0%\');8(2.3[2.7].o.E!=t)2.3[2.7].o.E.2K(2.3[2.7].o);j.3.13.19(2.3[2.7].o,\'3O\',9(){1e(V);$(\'#1m\').l(\'m\',\'R\');$(\'#1k\').l(\'m\',\'R\')});j.3.13.19(2.3[2.7].o,\'3R\',9(){1e(V);2.M.2x();$(\'#1m\').l(\'m\',\'R\');$(\'#1k\').l(\'m\',\'R\')});2.3[2.7].1E=z}8(2.7>-1)1e(2.3[2.7].o)}$(1b).3E(9(){2.5=t;2.7=-1;2.s=p j.3.3S(p j.3.1x(2.s.2v,2.s.2r),p j.3.1x(2.s.2t,2.s.2u));2.M=p j.3.3D();j.3.13.19(2.M,\'2Y\',9(){$(\'35\').T($(\'#2H\'));2.M.2J(\'\');$(\'#17\').2F()});14(B i=0;i<2.3.F;i++){2E(2.3[i],i);8(2.3[i].3T==\'A\'){$(\'#\'+2.3[i].q).l({Z:($(1b).Z()*2.2D)+\'2C\',Y:($(1b).Y()*2.2D)+\'2C\'})}$.2G({2I:"2B",2A:"1i/1H/2L.2s",2w:z,1h:{2z:"2y.3.3B",3x:2.2U},2l:9(1d){2.1O=1d;1P(\'1Z\')}});$(\'#\'+2.3[i].q+\'1Y\').O({47:u,Z:\'21\',Y:\'21\',41:z,42:\'X\',3a:\'1n\',S:2.3[i].S,1l:9(){2.7=$(V).1h(\'b\');1P(\'1l\')}}).1h(\'b\',i);$(\'Q.1n Q.1c-O-1Q\').T(\'<a 1M="#" q="1m" 1L="m:L;" 23="18(2.s); $(V).l(\\\'m\\\', \\\'L\\\').2k(); I(u);">\'+\'<v>&3P;</v></a>\');$(\'#1m\').1K(\'S\',2.1I.3C);8(2.3[i].o.E!=t){$(\'Q.1n Q.1c-O-1Q\').T(\'<a 1M="#" q="1k" 23="18(2.3[2.7].o.E.3H()); $(V).l(\\\'m\\\', \\\'L\\\').2k(); I(u);">\'+\'<v>&3F;</v></a>\');$(\'#1k\').1K(\'S\',2.1I.45)}$(\'Q.1n Q.1c-O-1Q\').T(\'<v q="1J" 1L="m:L;"><2h 2g="./1i/3y/2O/2P.2R"><v>\'+2.1I.2T+\'</v></v>\');$(\'#1c-O-S-3n\').T(\'<v q="1N"></v>\')}});',62,257,'||gmaps|maps||currentInfo|map|currentMapLoadIndex|if|function||index||||marker|markers|||google|properties|css|display||gMap|new|id|displayed|bounds|null|false|span||||true||var|info|iM|kmlFile|length||else|return|uId|imgTn|none|infoWindow|html|dialog|currentMapLoad|div|inline|title|append||this|markerImg||height|width||callId|tmp|event|for||markerImgProp|ciGMIWC_img|fitToBounds|addListener|displayPictureInfo|window|ui|msg|loadMarkers|imgCatsUrl|getBounds|data|plugins|datas|gmapsBoundKml|open|gmapsBoundMap|gmapsPopup|markerList|lat|newListIndex|lng|m2|ciGMIWC_showcat|navigationControl|m1|mapTypeControl|LatLng|nbImgTxt|zoomLevel|gmapsIndex|renameId|block|bind|viewportInitialized|nbImg|mode|GMaps|lang|gmapsLoading|attr|style|href|gmapsNbPhotos|requestId|initializeMapViewport|titlebar|each|displayWindowInfo|get|ciGMIWC_title|click|ciWALeft|ciWARight|Content|loaded||auto|ciGMIWC_picnum|onclick|ciGMIWC_showcatList|li|imgName|substr|getNorthEast|getSouthWest|getDiv|Point|re|scaleControl|streetViewControl|kmlFileUrl|src|img|break|compareMarkers|blur|success|case|applyMarkers|splice|markerInList|uniqueId|west|php|north|east|south|async|close|public|ajaxfct|url|POST|px|popupAutomaticSize|createMap|unbind|ajax|iGMapsInfoWindowContent|type|setContent|setMap|gmaps_ajax|getCenter|trigger|icons|processing|displayPictureNext|gif|isOpen|loading|categoryId|Array|displayPicturePrev|distanceTreshold|closeclick|nbPhotos||||resize|while|body|sort|getMarkers|parseJSON||dialogClass|Size|MarkerImage|zoom|center|scrollwheel|getZoom|mapType|mapTypeId|Map|backgroundColor|ffffff|mapTypeControlOptions|iGMapsIconContent|_|fitBounds|exec|Number|mS|preserveViewport|markerTitle|KmlLayer|zoomLevelMaxActivated|category|GrumPluginClasses|mouseenter|clone|init|boundmap|InfoWindow|load|sim|mouseleave|getDefaultViewport|children|font|55|location|size|imgCatsNames|dragend|there4|nbsp|zoom_changed|LatLngBounds|sizeMode|setZoom|upload|switch|charAt|Marker|galleries||modal|closeText|push|setCenter|boundkml|setIcon|autoOpen|position'.split('|'),0,{}))
Index: /extensions/GMaps/main.inc.php
===================================================================
--- /extensions/GMaps/main.inc.php	(revision 7452)
+++ /extensions/GMaps/main.inc.php	(revision 7453)
@@ -49,7 +49,6 @@
 |         |            |   . Save KML files in local directory
 |         |            |
-|         |            |
-|         |            |
-|         |            |
+| 1.1.1   | 2010-10-28 | * mantis:1972
+|         |            |   . thumbnails are not displayed in maps bubble box
 |         |            |
 |         |            |