Index: /extensions/GMaps/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/GMaps/language/it_IT/plugin.lang.php	(revision 7457)
+++ /extensions/GMaps/language/it_IT/plugin.lang.php	(revision 7457)
@@ -0,0 +1,177 @@
+<?php
+
+$lang['To install this plugin, you need to install Grum Plugin Classes %s before']='Per installare questo plugin, è necessario prima installare il plugin Grum Plugin Classes %s';
+$lang['To install this plugin, you need to install Advanced Metadata %s before']='Per installare questo plugin, è prima necessario di installare, attivare e configurare il plugin Advanced Metadata %s';
+$lang['gmaps_amd_warning_inactive']='Attenzione! <br><br>Il plugin Advanced Metadata %s sembra non essere installato/attivato : le mappe non potranno essere visualizzate fino a quando non sara attivato.';
+$lang['gmaps_amd_warning_basic']='Attenzione! <br><br>Il plugin Advanced Metadata funziona in modalità \'di base\' : mappe associate alle categorie non potranno essere visualizzate.';
+$lang['gmaps_warning']='Attenzione';
+
+$lang['gmaps_release']='v';
+
+$lang['gmaps_geolocation'] ='Geotagging';
+$lang['gmaps_maps'] = 'Mappe';
+$lang['gmaps_map'] = 'mappa';
+$lang['gmaps_associate_category_maps'] = 'Associazione delle mappe';
+$lang['gmaps_search'] = 'Cerca';
+$lang['gmaps_kml_files_management'] = 'Gestione dei file KML/KMZ';
+$lang['gmaps_help'] = 'Help';
+
+$lang['gmaps_maps_management']='Gestione mappe';
+
+$lang['gmaps_y'] = 'Sì';
+$lang['gmaps_n'] = 'No';
+$lang['gmaps_ok'] = 'Ok';
+$lang['gmaps_cancel'] = 'Annullare';
+$lang['gmaps_edit'] = 'Modificare';
+$lang['gmaps_delete'] = 'Eliminare';
+$lang['gmaps_loading'] = 'Caricamento ...';
+
+$lang['gmaps_config_map']='Parametraggio mappa';
+$lang['gmaps_pleaseConfirmMetadataDelete_1']='La mappe e tutto ciò che vi è associato verranno cancellati.'
+$lang['gmaps_pleaseConfirmMetadataDelete_2']='Confermare'.
+$lang['gmaps_pleaseConfirmKml_1']='Il file KML/KMZ verra cancellato e tutti i riferimenti associati verranno reinizializzati'.
+$lang['gmaps_pleaseConfirmKml_2']='Confermare'.
+$lang['gmaps_pleaseConfirmKml']='Confermare'.
+$lang['gmaps_deleteMap']='Rimozione della mappa';
+$lang['gmaps_add_a_new_map']='Aggiungere una mappa';
+$lang['gmaps_deleteKml']='Rimozione del file KML/KMZ';
+$lang['gmaps_add_a_new_kmlFile']='Aggiungere un file KML/KMZ';
+
+$lang['gmaps_name']='Nome';
+$lang['gmaps_dimensions']='Dimenzioni';
+$lang['gmaps_zoomLevel']='Livello di zoom';
+$lang['gmaps_mapType']='Tipo di visualizzazione';
+$lang['gmaps_width']='Larghezza';
+$lang['gmaps_height']='Altezza';
+$lang['gmaps_auto']='Automatico';
+$lang['gmaps_displayType']='Metodo di visualizzazione';
+
+$lang['gmaps_displayTypeShortIC']='Categoria (lightbox)';
+$lang['gmaps_displayTypeShortIP']='Foto (lightbox)';
+$lang['gmaps_displayTypeShortMP']='Foto (metadati)';
+$lang['gmaps_displayTypeIC']='Da visualizzare sulla pagina di una categoria (lightbox)';
+$lang['gmaps_displayTypeIP']='Da visualizzare sulla pagina di una foto (lightbox)';
+$lang['gmaps_displayTypeMP']='Da visualizzare sulla pagina di una foto (come metadati)';
+
+$lang['gmaps_map_dimensions_are']='Le dimensioni della mappo sono :';
+$lang['gmaps_interface_dimensions_f']='Fisse';
+$lang['gmaps_interface_dimensions_a']='In proporzione alle dimensioni della finestra';
+
+
+$lang['gmaps_googleMapType_hybrid']='Misto';
+$lang['gmaps_googleMapType_terrain']='Rilievo';
+$lang['gmaps_googleMapType_roadmap']='Mappa';
+$lang['gmaps_googleMapType_satellite']='Immagine satellitare';
+$lang['gmaps_googleMapTypeControl']='Controllo tipo di visualizzazione';
+$lang['gmaps_googleMapTypeControl_-1']='Nessuno';
+$lang['gmaps_googleMapTypeControl_0']='Automatico';
+$lang['gmaps_googleMapTypeControl_1']='Menu orizzontale';
+$lang['gmaps_googleMapTypeControl_2']='Drop-down List';
+$lang['gmaps_googleMapNavigationControl']='Controllo Zoom';
+$lang['gmaps_googleMapNavigationControl_-1']='Nessuno';
+$lang['gmaps_googleMapNavigationControl_0']='Automatico';
+$lang['gmaps_googleMapNavigationControl_1']='Piccolo';
+$lang['gmaps_googleMapNavigationControl_2']='Android';
+$lang['gmaps_googleMapNavigationControl_3']='Largo';
+
+$lang['gmaps_googleMapScaleControl']='Scala della mappa';
+$lang['gmaps_display_hidden']='Nascondere';
+$lang['gmaps_display_visible']='Visualizzarze';
+
+$lang['gmaps_googleMapControlType']='Tipo di controllo';
+$lang['gmaps_googleMapControlPos']='Tipo di controllo';
+$lang['gmaps_googleMapControlPos_T']='In alto';
+$lang['gmaps_googleMapControlPos_B']='In basso';
+$lang['gmaps_googleMapControlPos_L']='A sinistra';
+$lang['gmaps_googleMapControlPos_R']='A destra';
+$lang['gmaps_googleMapControlPos_TL']='In alto a sinistra';
+$lang['gmaps_googleMapControlPos_TR']='In alto a destra';
+$lang['gmaps_googleMapControlPos_BL']='In basso a sinistra';
+$lang['gmaps_googleMapControlPos_BR']='In basso a destra';
+
+$lang['gmaps_properties_general']='Proprietà';
+$lang['gmaps_properties_mapType']='Gestione visualizzazione';
+$lang['gmaps_properties_zoomLevel']='Gestione Zoom';
+
+$lang['gmaps_add_a_new_association']='Aggiungere una nuova associazione';
+$lang['gmaps_category']='Categoria';
+$lang['gmaps_picture']='Foto';
+$lang['gmaps_nb_pictures']='%S foto';
+$lang['gmaps_1_picture']='1 foto';
+$lang['gmaps_0_picture']='Nessuna foto in questa area geografica';
+$lang['gmaps_apply_subcat']='Applicare alle sotto-categorie';
+$lang['gmaps_map_id']='Mappa';
+$lang['gmaps_map_kmlfile']='Presenza file KML/KMZ';
+$lang['gmaps_map_icon']='Icona';
+$lang['gmaps_map_associate_kmlfile']='Associare un file KML/KMZ';
+
+$lang['gmaps_map_integration']='Integrazione nella galleria';
+$lang['gmaps_map_assoc']='Caratteristiche';
+
+$lang['gmaps_manage_assoc']='Gestione di un\'associazione';
+$lang['gmaps_deleteAssoc']='Cancellazione di un\'associazione';
+
+
+$lang['gmaps_applyForAllTheGallery']='Tutta la galleria';
+$lang['gmaps_only_one_map_is_allowed_for_this_mode']='Esiste già un parametraggio per questa associazione';
+$lang['gmaps_view_map']='Individuare la foto su una mappa';
+$lang['gmaps_map_title']='Titolo';
+
+
+
+$lang['gmaps_i_boundmap']='Adattare le dimensioni della mappa per visualizzare tutti gli oggetti';
+$lang['gmaps_i_boundkml']='Adattare le dimensioni della mappa per visualizzare l\intero percorso';
+$lang['gmaps_i_centermap']='Centrare la mappa';
+$lang['gmaps_i_show_this_picture_in']='Visualizzare questa immagine nella categoria : ';
+
+$lang['gmaps_north']='Nord';
+$lang['gmaps_south']='Sud';
+$lang['gmaps_east']='Est';
+$lang['gmaps_west']='Ovest';
+$lang['gmaps_add_geographic_area']='Aggiungere una zona geografica';
+$lang['gmaps_choose_geographic_area']='Selezionare l\'area geografica';
+$lang['gmaps_search_by_geographic_area']='Effettuare una ricerca per area geografica';
+$lang['gmaps_geographic_coords_between']='Le coordinate geografiche si trovano tra :';
+$lang['gmaps_of_lat']='di latutudine';
+$lang['gmaps_of_lng']='di longitudine';
+$lang['gmaps_and']='e';
+
+
+$lang['gmaps_kml_file_management']='Gestione di un file KML/KMZ';
+$lang['gmaps_kml_files_management']='Gestione dei file KML/KMZ';
+$lang['gmaps_file']='File';
+$lang['gmaps_date']='Data';
+$lang['gmaps_file_size']='Dimenzioni File';
+$lang['gmaps_nb_assoc']='Assegnazioni';
+$lang['gmaps_file_required']='E\' necessario scegliere un file!'
+$lang['gmaps_file_is_not_kml_kmz']='L\'estensione del file non è valida! Solo i file KML e KMZ sono accettati.'
+
+$lang['gmaps_error_code_aksf01']='Errore sconosciuto ... :-/';
+$lang['gmaps_error_code_aksf02']='Errore durante il salvataggio dei file';
+$lang['gmaps_error_code_aksf10']='Un file con lo stesso nome è già utilizzato';
+$lang['gmaps_action_was_stopped']='L\'azione è stata interrotta per il motivo seguente :';
+
+$lang['gmaps_kml_file_selected']='Scegliere tra i file gestiti';
+$lang['gmaps_kml_file_url']='Inserimento di una URL';
+$lang['gmaps_kml_file_none']='Nessuno';
+
+$lang['gmaps_kml_file_access']='I file KML/KMZ devono, per potere essere visualizzati su una mappa, essere accessibile attraverso i server di Google.';
+$lang['gmaps_icon_info']='Se il tema fornisce una icona delle stessi dimensioni di quello selezionato, sarà applicato per primo.';
+
+$lang['gmaps_map_marker']='Aspetto del contrassegno';
+
+$lang['gmaps_googleMapStreetViewControl']='Mostra il controllo di Street View';
+
+// GMaps 1.1.0
+$lang['gmaps_pleaseConfirmDeletingAssoc']='Si prega di confermare la rimozione dell\'associazione';
+$lang['gmaps_of_window_size']='della dimensione della finestra';
+$lang['gmaps_config']='Configurazione';
+$lang['gmaps_popup_automatic_size']='Mappe a dimenzionamento automaticho';
+$lang['gmaps_apply']='Applicare';
+$lang['gmaps_config_saved']='La configurazione è salvata';
+$lang['gmaps_zoomLevel_max']='Massimo livello di zoom';
+$lang['gmaps_apply_zoomLevel_max']='Applicare livello di zoom massimo';
+$lang['gmaps_display_type_cannot_be_changed']='Essendo associata, il metodo di visualizzazione di questa mappa non può essere cambiato';
+$lang['gmaps_gpc_not_up_to_date']='Il plugin <i>Grum Plugin Classes</i> versione %s deve essere installato.
+Attualmente, la versione %s è installata : Procedere con un aggiornamento della versione del plugin <i>Grum Plugin Classes</i>.';
+?>