Index: extensions/gvideo/language/lv_LV/description.txt
===================================================================
--- extensions/gvideo/language/lv_LV/description.txt	(revision 7464)
+++ extensions/gvideo/language/lv_LV/description.txt	(revision 7464)
@@ -0,0 +1,1 @@
+Pievieno video no Google Video, Dailymotion, Youtube, Wideo, Vimeo or Wat.
Index: extensions/gvideo/language/lv_LV/index.php
===================================================================
--- extensions/gvideo/language/lv_LV/index.php	(revision 7464)
+++ extensions/gvideo/language/lv_LV/index.php	(revision 7464)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id$
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/gvideo/language/lv_LV/plugin.lang.php
===================================================================
--- extensions/gvideo/language/lv_LV/plugin.lang.php	(revision 7464)
+++ extensions/gvideo/language/lv_LV/plugin.lang.php	(revision 7464)
@@ -0,0 +1,46 @@
+<?php
+
+$lang['py_title'] = 'PYWaie GVideo';
+$lang['py_conf'] = 'Konfiguracija';
+$lang['py_addvideo'] = 'Pievienot vide';
+$lang['py_filename'] = 'Faila nosaukums';
+$lang['py_url'] = 'video URL';
+$lang['py_parent'] = 'Galvena kategorija';
+$lang['py_thumb'] = 'Sikbilde';
+$lang['py_no_thumb'] = 'Neminiaturizet';
+$lang['py_thumb_from_server'] = 'Augupladet sikbildi no servera';
+$lang['py_thumb_from_user'] = 'Augupladet savu sikbildi:';
+$lang['py_add_band'] = 'Pievienot joslas sikbildes malas';
+$lang['py_thumb_resize'] = 'Mainit sikbildes izmerus';
+$lang['py_width'] = 'Platums';
+$lang['py_height'] = 'Augstums';
+$lang['py_start'] = 'Video sakums';
+$lang['py_*'] = 'Obligatie lauki';
+$lang['py_autostart'] = 'Autostarts';
+$lang['py_quality'] = 'Kvalitate';
+$lang['py_playermode'] = 'Atskanoanas reims';
+
+
+// Infobulles
+$lang['pybulle_reference'] = "Ielimet saiti uz video eit.<br>Varat izmantot GoogleVideo, YouTube, DailyMotion, Wideo, Vimeo or Wat. Piemeri:<br><br>- http://video.google.fr/videoplay?docid=4600755234172037942<br>- http://www.youtube.com/watch?v=eUvApC0bwUk<br>- http://www.dailymotion.com/video/x29fys_doorway<br>- http://www.wideo.fr/video/iLyROoaftYvl.html<br>- http://www.vimeo.com/1747316<br>- http://www.wat.tv/video/abcd.html";
+$lang['pybulle_start'] = "Izveleties video sakumpunktu (sekundes).<br> i iespeja izmantojama tikai ar GoogleVideo.";
+$lang['pybulle_categorie'] = "Kategorija, kura fails tiks izveidots: raditas tikais realas kategorijas. Ja velaties saistit o failu ar virtualu kategoriju, jums janorada saite pec tam.";
+$lang['pybulle_miniature'] = "Jus varat atgut sikbildi uz servera. Pec noklusejuma, sikbildes izmers ir 320x240 - Google Video, 320x240 - Dailymotion, 130x97 -Youtube, 154x114 - Wideo and 200x150 - Vimeo.<br><br> Vai varat augupladet savu sikbildi.<br><br> Abos gadijumos iespejams mainit sikbildes izmerus.";
+
+// Messages d'infos ou d'erreurs
+$lang['py_error1'] = 'Nav lokala lapa! Neiespejams izveidot video failu.';
+$lang['py_error2'] = 'Nav iespejams saglabat. Nekorekti aizpildits formulars.';
+$lang['py_error3'] = 'Jaaizpilda visi obligatie lauki *';
+$lang['py_error5'] = 'nekorekts URL!';
+$lang['py_error6'] = 'fails "%s" jau eksiste.';
+$lang['py_error7'] = 'Nav iespejam rakstit faila "%s"';
+$lang['py_error8'] = 'ludzu parbaudiet vai mapei %s ir tiesibas (chmod).';
+$lang['py_error9'] = 'Kluda augupladejot vai mainot sikbildes izmerus.';
+$lang['py_error11'] = 'Sikbilde ar tadu nosaukumu jau eksiste (%s)';
+$lang['py_error12'] = 'lauka sikbilde nav aizpildita : sikbilde nav augupieladeta.';
+$lang['py_info2'] = 'sikbilde sekmigi augupieladeta';
+$lang['py_info3'] = 'Video sekmigi pievienots';
+$lang['py_info4'] = 'Konfiguracija saglabata.';
+$lang['py_show_file'] = '<a href="%s" class="externalLink">Radit video</a>.';
+
+?>