Index: extensions/GrumPluginClasses/language/cs_CZ/description.txt
===================================================================
--- extensions/GrumPluginClasses/language/cs_CZ/description.txt	(revision 7483)
+++ extensions/GrumPluginClasses/language/cs_CZ/description.txt	(revision 7483)
@@ -0,0 +1,1 @@
+Sdílené Classes mezi pluginy
Index: extensions/GrumPluginClasses/language/cs_CZ/index.php
===================================================================
--- extensions/GrumPluginClasses/language/cs_CZ/index.php	(revision 7483)
+++ extensions/GrumPluginClasses/language/cs_CZ/index.php	(revision 7483)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id$
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/GrumPluginClasses/language/cs_CZ/plugin.lang.php
===================================================================
--- extensions/GrumPluginClasses/language/cs_CZ/plugin.lang.php	(revision 7483)
+++ extensions/GrumPluginClasses/language/cs_CZ/plugin.lang.php	(revision 7483)
@@ -0,0 +1,17 @@
+<?php
+$lang['Module'] = 'Modul';
+$lang['Version'] = 'Verze';
+$lang['List of shared modules'] = 'Seznam sdílených modulů';
+$lang['List of installed plugins using Grum Plugin Classes'] = 'Seznam nainstalovaných pluginů využívajících GPC';
+$lang['Plugin'] = 'Plugin';
+$lang['GPC required'] = 'GPC vyžadován';
+$lang['Installed'] = 'Instalován';
+$lang['Infos'] = 'Info';
+$lang['Some plugins are dependent on Grum Plugin Classes: before uninstall, you must first uninstall the plugins dependent'] = 'Některé pluginy jsou závislé na GPC:před jeho odinstalováním je potřeba tyto pluginy nejdříve odinstalovat';
+
+// gpc > 3.3.0
+$lang['Public'] = 'Veřejný';
+$lang['Private'] = 'Soukromý';
+$lang['All the gallery'] = 'Celá galerie';
+
+?>
Index: extensions/GrumPluginClasses/language/cs_CZ/rbuilder.lang.php
===================================================================
--- extensions/GrumPluginClasses/language/cs_CZ/rbuilder.lang.php	(revision 7483)
+++ extensions/GrumPluginClasses/language/cs_CZ/rbuilder.lang.php	(revision 7483)
@@ -0,0 +1,27 @@
+<?php
+
+$lang['gpc_rb_search_criterion']='Podmínky vyhledávání';
+$lang['gpc_rb_do_modify_request']='Modifikace vyhledání';
+$lang['gpc_rb_result_query']='Výsledek hledání';
+$lang['gpc_rb_number_of_item_found']='Nalezeno fotek';
+$lang['gpc_rb_add_criterions']='Podmínky';
+$lang['gpc_rb_clear_criterions']='Reset podmínek';
+$lang['gpc_rb_search']='Hledat';
+$lang['gpc_rb_textAND']='Všechny podmínky musí být ověřeny';
+$lang['gpc_rb_textOR']='Alespoň jedno kritérium, musí být zkontrolováno';
+
+$lang['gpc_manage_caddie'] = 'Caddie management';
+$lang['gpc_add_caddie'] = 'Výsledek vyhledávání je přidán v caddym';
+$lang['gpc_replace_caddie'] = 'Výsledek vyhledávání nahrazuje caddie';
+$lang['gpc_the_caddie_is_updated'] = 'Caddie byl aktualizován';
+$lang['gpc_something_is_wrong_on_the_server_side'] = 'Detekována chyba na straně serveru';
+
+// GPC 3.3.2
+$lang['There is no criteria ! At least, one criteria is required to do search...']="Podmínky nezadány! alespoň jedna podmínka je nutná pro začátek vyhledávání...";
+
+$lang['gpc_help_edit_criteria']="Editace podmínek";
+$lang['gpc_help_delete_criteria']="Smaž podmínky";
+$lang['gpc_help_move_criteria']="Drag'n'drop organizování podmínek vyhledávání";
+$lang['gpc_help_switch_condition']="Invertovat podmínky (AND &hArr; OR)";
+
+?>