Index: /extensions/bbcode_bar/language/ru_RU/index.php
===================================================================
--- /extensions/bbcode_bar/language/ru_RU/index.php	(revision 7484)
+++ /extensions/bbcode_bar/language/ru_RU/index.php	(revision 7484)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id$
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/bbcode_bar/language/ru_RU/plugin.lang.php
===================================================================
--- /extensions/bbcode_bar/language/ru_RU/plugin.lang.php	(revision 7484)
+++ /extensions/bbcode_bar/language/ru_RU/plugin.lang.php	(revision 7484)
@@ -0,0 +1,53 @@
+<?php
+	global $lang; /*é*/
+	
+	$lang['admin_liste'] 		= "Список:";	
+	
+	$lang['p_help'] 		= "Параграф: [p]параграф[/p]";	
+	$lang['b_help'] 		= "Жирный: [b]жирный[/b]";
+	$lang['i_help'] 		= "Италик: [i]италик[/i]";
+	$lang['u_help'] 		= "Подчернутый: [u]подчеркнутый[/u]";	
+	$lang['s_help'] 		= "Зачеркнутый: [s]зачеркнутый [/s]";
+	
+	$lang['center_help'] 	= "Центр: [center]центр[/center]";
+	$lang['right_help'] 	= "Право: [right]право[/right]";
+	$lang['ul_help'] 		= "Список ненумерованный: [ul][li]элемент[/li][/ul]";
+	$lang['ol_help'] 		= "Список нумерованный: [ol][li]элемент[/li][/ol]";
+	
+	$lang['quote_help'] 	= "Цитата: [quote]цитата[/quote]";
+	$lang['img_help'] 		= "Картинка: [img]картинка[/img]";
+	$lang['url_help'] 		= "URL: [url=URL]Название[/url]";
+	$lang['mail_help'] 		= "E-mail: [email]электронный адрес[/email]";	
+	
+	$lang['size_help'] 		= "Размер шрифта: [size=X]текст[/size]";
+	$lang['tiny'] 		= "Крошечный";
+	$lang['small'] 		= "Маленький";
+	$lang['normal'] 	= "Нормальный";
+	$lang['large'] 		= "Большой";
+	$lang['huge'] 		= "Громадный";	
+	
+	$lang['fc_help'] 	= "Цвет шрифта : [color=color]текст[/color]";
+	$lang['default_help']	= "По умолчанию";
+	$lang['maroon_help'] 	= "Бордовый";		
+	$lang['red_help'] 		= "Красный";			
+	$lang['orange_help'] 	= "Оранжевый";	 	
+	$lang['brown_help'] 	= "Коричневый";
+	$lang['yellow_help'] 	= "Желтый";	 	
+	$lang['green_help'] 	= "Зеленый"; 	
+	$lang['olive_help'] 	= "Оливковый";	 	
+	$lang['cyan_help'] 		= "Небесно голубой";
+	$lang['blue_help'] 		= "Голубой";	
+	$lang['darkblue_help']	= "Синий";
+	$lang['indigo_help'] 	= "Индиго";
+	$lang['violet_help'] 	= "Фиолетовый";
+	$lang['white_help'] 	= "Белый";
+	$lang['black_help'] 	= "Черный";
+	
+	$lang['preview'] 		= "Предпросмотр";
+	
+	$lang['help']			= "Легко: Форматирование может быть применено к выбранному тексту.";
+	
+	$lang['repicon']		= "Директория с иконками";
+  
+  $lang['bbcb_config_saved'] = "Конфигурация сохранена";
+?>