Index: /extensions/paMOOramics/language/hu_HU/index.php
===================================================================
--- /extensions/paMOOramics/language/hu_HU/index.php	(revision 7486)
+++ /extensions/paMOOramics/language/hu_HU/index.php	(revision 7486)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008      Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/paMOOramics/language/hu_HU/plugin.lang.php
===================================================================
--- /extensions/paMOOramics/language/hu_HU/plugin.lang.php	(revision 7486)
+++ /extensions/paMOOramics/language/hu_HU/plugin.lang.php	(revision 7486)
@@ -0,0 +1,61 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008      Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+
+$lang['pamooramics_description'] 		= 'A paMOOramics lehetővé teszi, hogy a Piwigo megjelenítse a panoráma képeket és azok scrollozását, köszönhetően ';
+$lang['pamooramics_and'] 				= 'és';
+$lang['pamooramics_by'] 				= 'fejlesztő:';
+
+$lang['pamooramics_admin_form_legend'] 	= 'paMOOramics Beállításai';
+$lang['pamooramics_use_name'] 			= 'paMOOramics aktiválása a kép neve alapján';
+$lang['pamooramics_name'] 				= 'Keresett szöveg a kép panoráma módban történő megjelenítéséhez';
+$lang['pamooramics_use_ratio'] 			= 'w/h arány aktiválása a paMOOramics-ban';
+$lang['pamooramics_ratio'] 				= 'Kép megjelenítésének minimális aránya (szélesség/magasság) panoráma módban';
+$lang['pamooramics_width'] 				= 'Panoráma megjelenítő szélessége';
+$lang['pamooramics_border_size'] 		= 'Panoráma szegély mérete';
+$lang['pamooramics_border_color']		= 'Panoráma szegély színe';
+$lang['pamooramics_activateslider'] 	= 'Scroll aktiválása egérrel';
+$lang['pamooramics_footer_color'] 		= 'Felirat háttérszín';
+$lang['pamooramics_caption_color'] 		= 'Felirat szövegszín';
+$lang['pamooramics_enable_autoscroll'] 	= 'Autoscroll aktiválása';
+$lang['pamooramics_autoscroll_speed'] 	= 'Autoscroll sebessége';
+$lang['pamooramics_autoscroll_onload'] 	= 'Autoscroll indítása betöltéskor';
+
+
+$lang['pamooramics_picture_high'] 		= 'Nagy felbontású panorámakép megjelenítése';
+$lang['pamooramics_displayfooter'] 		= 'Ne jelenjen meg a felirat';
+$lang['pamooramics_Slideshow_displayfooter'] = 'Diavetítésnél ne jelenjen meg a felirat';
+
+$lang['pamooramics_save_config'] 		= 'Mentés';
+
+
+
+
+$lang['pamooramics_startAutoscroll'] 	= 'Autoscroll indítása';
+$lang['pamooramics_stopAutoscroll'] 	= 'Autoscroll leállítása';
+$lang['pamooramics_loading'] 			= 'Betöltés ...';
+$lang['pamooramics_clickMessage'] 		= 'Keret mozgatása kattintással !';
+$lang['pamooramics_dragMessage'] 		= 'Panorámakép mozgatása húzással !';
+
+
+?>