Index: /extensions/pwgCumulus/language/lv_LV/description.txt
===================================================================
--- /extensions/pwgCumulus/language/lv_LV/description.txt	(revision 7497)
+++ /extensions/pwgCumulus/language/lv_LV/description.txt	(revision 7497)
@@ -0,0 +1,1 @@
+pievieno pārsteidošu mākoņveida iezīmi
Index: /extensions/pwgCumulus/language/lv_LV/index.php
===================================================================
--- /extensions/pwgCumulus/language/lv_LV/index.php	(revision 7497)
+++ /extensions/pwgCumulus/language/lv_LV/index.php	(revision 7497)
@@ -0,0 +1,28 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | pwgCumulus  - a plugin for Piwigo                                     |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2009-2010 Nicolas Roudaire        http://www.nikrou.net  |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License version 2 as     |
+// | published by  the Free Software Foundation                            |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA                                                     |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/pwgCumulus/language/lv_LV/plugin.lang.php
===================================================================
--- /extensions/pwgCumulus/language/lv_LV/plugin.lang.php	(revision 7497)
+++ /extensions/pwgCumulus/language/lv_LV/plugin.lang.php	(revision 7497)
@@ -0,0 +1,41 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | pwgCumulus  - a plugin for Piwigo                                     |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2009-2010 Nicolas Roudaire        http://www.nikrou.net  |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License version 2 as     |
+// | published by  the Free Software Foundation                            |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA                                                     |
+// +-----------------------------------------------------------------------+
+
+$lang['Cumulus Tags Cloud Plugin'] = "Cumulus Tags Cloud Spraudnis";
+$lang['That plugin display tags using a flash movie that rotates them in 3D. It works like a regular tags cloud but in a more amazing and exciting way.'] = "Šis spraudnis attēlo iezīmes 3 dimensijās un lietojot flash animāciju griež tās ap savu asi. Tās darbojas kā parastas maķoņveida iezīmes, bet vēl skaitāk acij.";
+$lang['Vous can choose that mode for tags default display mode by adding (or changing) in the configuration file'] = "Šo režīmu iezīmēm kā noklusējumu var izvēlēties pievienojot ( vai izmainot) iestatījumus konfigurācijas failā.";
+$lang['Animation width and height'] = " Animācijas platums un augstums";
+$lang['Width'] = "Platums";
+$lang['Height'] = "Augstums";
+$lang['Tags size'] = "Iezīmes izmērs";
+$lang['Coefficient'] = "Koeficients";
+$lang['Width updated'] = "Platums izmainīts";
+$lang['Height updated'] = "Augstums izmainīts";
+$lang['Coefficient for tags size updated'] = "Iezīmes izmēra koeficients izmainīts";
+$lang['Show tag cloud in cumulus mode'] = "Rādīt mākoņveida iezīmi cumulus režīmā";
+$lang['Animation colors'] = "Animācijas krāsas";
+$lang['Color 1'] = "1 krāsa";
+$lang['Color 2'] = "2 krāsa";
+$lang['Mouseover color'] = "Peles pāri vilkšanas krāsa";
+$lang['Color 1 updated'] = "1 krāsa izmainīta";
+$lang['Color 2 updated'] = "2 krāsa izmainīta";
+$lang['Mouseover color updated'] = "Peles pāri vilkšanas krāsa izmainīta";
+?>