Index: extensions/paMOOramics/language/de_DE/index.php
===================================================================
--- extensions/paMOOramics/language/de_DE/index.php	(revision 7510)
+++ extensions/paMOOramics/language/de_DE/index.php	(revision 7510)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008      Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/paMOOramics/language/de_DE/plugin.lang.php
===================================================================
--- extensions/paMOOramics/language/de_DE/plugin.lang.php	(revision 7510)
+++ extensions/paMOOramics/language/de_DE/plugin.lang.php	(revision 7510)
@@ -0,0 +1,61 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008      Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+
+$lang['pamooramics_description'] 		= 'paMOOramics erlaubt Ihnen, Ihr Panorama in Piwigo anzuzeigen und zu scrollen. Dies wird ermöglicht durch';
+$lang['pamooramics_and'] 				= 'und';
+$lang['pamooramics_by'] 				= 'von';
+
+$lang['pamooramics_admin_form_legend'] 	= 'paMOOramics Konfiguration';
+$lang['pamooramics_use_name'] 			= 'Aktiviere paMOOramics durch Dateinamen';
+$lang['pamooramics_name'] 				= 'Nach diesem Text im Dateinamen suchen, um Bilder im Panoramamodus anzuzeigen';
+$lang['pamooramics_use_ratio'] 			= 'Aktiviere paMOOramics durchs Verhältnis von Breite und Höhe';
+$lang['pamooramics_ratio'] 				= 'Kleinstes Verhältnis (Breite/Höhe), um Bilder im Panoramamodus anzuzeigen';
+$lang['pamooramics_width'] 				= 'Breite der Panoramaanzeige';
+$lang['pamooramics_border_size'] 		= 'Randbreite des Panoramas';
+$lang['pamooramics_border_color']		= 'Randfarbe des Panoramas';
+$lang['pamooramics_activateslider'] 	= 'Scrolling bei einem Mouse-over Ereignis aktivieren';
+$lang['pamooramics_footer_color'] 		= 'Hintergrundfarbe der Beschriftung';
+$lang['pamooramics_caption_color'] 		= 'Farbe des Beschriftungstexts';
+$lang['pamooramics_enable_autoscroll'] 	= 'Automatisches Scrollen aktivieren';
+$lang['pamooramics_autoscroll_speed'] 	= 'Geschwindigkeit des automatischen Scrollens';
+$lang['pamooramics_autoscroll_onload'] 	= 'Automatisches Scrollen beim Laden aktivieren';
+
+
+$lang['pamooramics_picture_high'] 		= 'Hier klicken, um ein hochaufgelöstes Panorama anzuzeigen';
+$lang['pamooramics_displayfooter'] 		= 'Bildbeschriftung nicht anzeigen';
+$lang['pamooramics_Slideshow_displayfooter'] = 'Bildbeschriftung bei einer Slideshow nicht anzeigen';
+
+$lang['pamooramics_save_config'] 		= 'Speichern';
+
+
+
+
+$lang['pamooramics_startAutoscroll'] 	= 'Automatisches Scrollen starten';
+$lang['pamooramics_stopAutoscroll'] 	= 'Automatisches Scrollen stoppen';
+$lang['pamooramics_loading'] 			= 'Laden ...';
+$lang['pamooramics_clickMessage'] 		= 'Klicken um den Ausschnitt zu verschieben !';
+$lang['pamooramics_dragMessage'] 		= 'Zieh mich, um das Panorama zu bewegen !';
+
+
+?>